Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a property

POST/contact-properties
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Request body
requiredapplication/json
keystringrequired
min length 1 · max length 200
typestringrequired
Allowed:stringnumber
fallback_valuestring | number | null
Show properties
Any of:
string
string
number
number
null
null
Responses
200

Contact property created

idstring<uuid>required
created_atstringrequired
keystringrequired
typestringrequired
Allowed:stringnumber
fallback_valuestring | number | nullrequired
Show properties
Any of:
string
string
number
number
null
null
objectstringrequired
Allowed:contact_property
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
409

Property already exists

statusCodenumberrequired
namestringrequired
messagestringrequired
422

Validation error

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.billionsend.com/contact-properties' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "key": "string",
  "type": "string",
  "fallback_value": "string"
}'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "created_at": "string",
  "key": "string",
  "type": "string",
  "fallback_value": "string",
  "object": "contact_property"
}

Was this page helpful?